BSON_ALIGNED_ALLOC0(3)

SYNOPSIS

            void *
            bson_aligned_alloc0 (size_t alignment, size_t num_bytes);

PARAMETERS

    •   alignment: The alignment of the allocated bytes of memory. Must be a power of 2 and a multiple of sizeof (void *).

    •   num_bytes: The number of bytes to allocate. Must be a multiple of alignment.

DESCRIPTION

This is a portable aligned_alloc() wrapper that also sets the memory to zero.

If there was a failure to allocate num_bytes bytes aligned to alignment, the process will be aborted.

Warning:
        This function will abort on failure to allocate memory.

RETURNS

A pointer to a memory region which HAS been zeroed.

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.